clang-tools 8.0.0

Public Member Functions | List of all members
clang::include_fixer::SymbolIndex Class Referenceabstract

This class provides an interface for finding all `SymbolInfo`s corresponding to a symbol name from a symbol database. More...

`#include <SymbolIndex.h>`

Inheritance diagram for clang::include_fixer::SymbolIndex:
[legend]

## Public Member Functions
virtual | ~SymbolIndex ()=default
virtual std::vector< find_all_symbols::SymbolAndSignals > | search (llvm::StringRef Identifier)=0
| Search for all `SymbolInfo`s corresponding to an identifier. More...

## Detailed Description

This class provides an interface for finding all `SymbolInfo`s corresponding to a symbol name from a symbol database.

Definition at line 22 of file SymbolIndex.h.

## Constructor & Destructor Documentation

## ◆ ~SymbolIndex()

virtual clang::include_fixer::SymbolIndex::~SymbolIndex | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ search()

virtual std::vector<find_all_symbols::SymbolAndSignals> clang::include_fixer::SymbolIndex::search | ( | llvm::StringRef | Identifier | ) |
| pure virtual

Search for all `SymbolInfo`s corresponding to an identifier.

Parameters

  Identifier | The unqualified identifier being searched for.

Returns
  A list of `SymbolInfo` candidates.

Implemented in clang::include_fixer::YamlSymbolIndex, and clang::include_fixer::InMemorySymbolIndex.

The documentation for this class was generated from the following file:

- SymbolIndex.h